<?php
$form = $this->form;
$form->setAttribute('action', $this->url() . '/form_penetapanreklame');
$form->setAttribute("id", "demo-form");
$form->setAttribute("class", "form-horizontal pad15L pad15R pad15T");
$form->setAttribute("data-parsley-validate", "data-parsley-validate");
$form->setAttribute('enctype', 'multipart/form-data');
$form->prepare();
?>

<style type="text/css">
    blink, .blink {
        -webkit-animation: blink 1s step-end infinite;
        -moz-animation: blink 1s step-end infinite;
        -o-animation: blink 1s step-end infinite;
        animation: blink 1s step-end infinite;
    }

    @-webkit-keyframes blink {
        67% { opacity: 0 }
    }

    @-moz-keyframes blink {
        67% { opacity: 0 }
    }

    @-o-keyframes blink {
        67% { opacity: 0 }
    }

    @keyframes blink {
        67% { opacity: 0 }
    }
</style>
<div id="page-content-wrapper">
    <div id="page-content">
        <div class="">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <i class="glyph-icon icon-check"></i>
                        PENETAPAN SKPD <?= strtoupper($datatransaksi['s_namajenis']) ?><b class="blink" style="font-size: 12px; color: red"><?= $message ?></b>
                        <a href="<?=$this->url('penetapan')?>" class="btn btn-danger pull-right"><i class="glyph-icon icon-minus-square-o"></i> Batal</a>
                    </h4>
                </div>
                <div class="panel-body">
                    <div class="example-box-wrapper">
                        <?= $this->form()->openTag($form) ?>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="alert alert-info">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Data WP / Pemilik</b></h4>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">NPWPD</label>
                                <div class="col-sm-4">
                                    : <b style="color:blue;"><?= $datatransaksi['t_npwpd'] ?></b>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">NIK</label>
                                <div class="col-sm-4">
                                    : <?= $datatransaksi['t_nik'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Nama</label>
                                <div class="col-sm-4">
                                    : <?= $datatransaksi['t_nama'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Alamat</label>
                                <div class="col-sm-10">
                                    : <?= $datatransaksi['t_alamat'] ?>
                                    ,RT. <?= $datatransaksi['t_rt'] ?>
                                    ,RW. <?= $datatransaksi['t_rw'] ?>
                                    ,Desa/Kel. <?= $datatransaksi['s_namakel'] ?>
                                    ,Kec. <?= $datatransaksi['s_namakec'] ?>
                                    ,Kab. <?= $datatransaksi['t_kabupaten'] ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="alert alert-info">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Data Objek Pajak</b></h4>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">NIOP</label>
                                <div class="col-sm-4">
                                    : <?= $datatransaksi['t_nop'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Nama</label>
                                <div class="col-sm-4">
                                    : <?= $datatransaksi['t_namaobjek'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Alamat</label>
                                <div class="col-sm-10">
                                    : <?= $datatransaksi['t_alamatobjek'] ?>
                                    ,RT. <?= $datatransaksi['t_rtobjek'] ?>
                                    ,RW. <?= $datatransaksi['t_rwobjek'] ?>
                                    ,Desa/Kel. <?= $datatransaksi['s_namakelobjek'] ?>
                                    ,Kec. <?= $datatransaksi['s_namakecobjek'] ?>
                                    ,Kab. <?= $datatransaksi['t_kabupatenobjek'] ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="alert alert-info">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Data Pendataan <u>[ No. SPTPD : <?=$datatransaksi['t_nourut']?> ]</u></b></h4>
                                    </div>
                                </div>
                            </div>
                            <?php
                            $luas = number_format(round($datatransaksi['t_panjang'] * $datatransaksi['t_lebar']), 2, ',','.');
                            ?>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Tgl Pendataan</label>
                                <div class="col-sm-4">
                                    : <?= date('d-m-Y', strtotime($datatransaksi['t_tglpendataan']))?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Masa Pajak</label>
                                <div class="col-sm-4">
                                    : <?= date('d-m-Y', strtotime($datatransaksi['t_masaawal'])).' s/d '.date('d-m-Y', strtotime($datatransaksi['t_masaakhir']))?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Kode Rekening</label>
                                <div class="col-sm-10">
                                    : <b><?= $datatransaksi['korek'].' - '.strtoupper($datatransaksi['s_namakorek'])?></b>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Naskah</label>
                                <div class="col-sm-10">
                                    : <?= $datatransaksi['t_naskah'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Luas</label>
                                <div class="col-sm-10">
                                    : <?= number_format($datatransaksi['t_panjang'], 2, ',','.') .'m x '.number_format($datatransaksi['t_lebar'], 2, ',','.').' m = '.$luas.' m<sup>2</sup>' ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Lokasi</label>
                                <div class="col-sm-10">
                                    : <?= $datatransaksi['t_lokasi'] ?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Perhitungan</label>
                                <div class="col-sm-10">
                                    : <?= $datatransaksi['t_nsl'] .' x '.$luas.' x '.$datatransaksi['t_jangkawaktu'].' x Rp. '.number_format($datatransaksi['t_hargasatuan'], 0, ',','.').' = Rp. '.number_format($datatransaksi['t_nsr'], 0, ',','.')?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2"></label>
                                <div class="col-sm-10">
                                    : <?= 'Rp. '.number_format($datatransaksi['t_nsr'], 0, ',','.').' x '.$datatransaksi['t_tarifreklame'].'%'?>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2">Jumlah Pajak</label>
                                <div class="col-sm-4">
                                    : <strong style="color:blue;font-size: 14pt;">Rp. <?= number_format($datatransaksi['t_jmlhpajak'], 0, ',', '.') ?>,-</strong>
                                </div>
                            </div>
                        </div>
                        <div class="row pad10B">
                            <div class="col-sm-12">
                                <div class="alert alert-warning">
                                    <div class="alert-content">
                                        <h4 class="alert-title"><b style="color: #000099">Data Penetapan</b></h4>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-2 control-label">Tanggal Penetapan</label>
                                <div class="col-md-2">
                                    <div class="input-prepend input-group">
                                        <span class="add-on input-group-addon">
                                            <i class="glyph-icon icon-calendar"></i>
                                        </span>
                                        <input type="hidden" name="t_jenisobjekpajak" value="<?= $datatransaksi['t_jenisobjek'] ?>">
                                        <?= $this->formHidden($form->get("t_idtransaksi")) ?>
                                        <?= $this->formHidden($form->get("t_nourut")) ?>
                                        <?= $this->formHidden($form->get("t_tglpendataan")) ?>
                                        <?= $this->formText($form->get("t_tglpenetapan")) ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="bg-default" id="tombolsimpan">
                            <?= $this->formInput($form->get('Penetapansubmit')) ?> 
                        </div>
                        <?= $this->form()->closeTag($form) ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalSimpan" tabindex="-1" aria-hidden="true" style="text-align: center;width: 100%;">
    <div class="lds-spinner"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
</div>
<script>
    $('#Penetapansubmit').click(function () {
        var myForm = document.getElementById('demo-form');
        myForm.onsubmit = function () {
            var allInputs = myForm.getElementsByTagName('input');
            var input, i;

            for (i = 0; input = allInputs[i]; i++) {
                if (input.getAttribute('name') && !input.value) {
                    //input.setAttribute('name', '');

                } else {
                    jQuery('#modalSimpan').modal('show');
                }
            }
        };
    });
</script>